#global _internal_version  8a53cfb

Name:           cinnamon
Version:        2.0.13
Release:        3%{?dist}
Summary:        Window management and application launching for GNOME
License:        GPLv2+ and LGPLv2+
URL:            http://cinnamon.linuxmint.com 
#Because linuxmint upstream refuses to host pristine upstream tarballs
# To generate tarball
# wget https://github.com/linuxmint/Cinnamon/archive/%%{version}.tar.gz -O cinnamon-%%{version}.tar.gz
# for git
# wget https://github.com/linuxmint/Cinnamon/tarball/%%{_internal_version} -O cinnamon-%%{version}.git%%{_internal_version}.tar.gz
Source0:        http://leigh123linux.fedorapeople.org/pub/%{name}/source/Cinnamon-%{version}.tar.gz
Source1:        cinnamon-fedora.gschema.override
Source2:        org.cinnamon.settings-users.policy
Source3:        cinnamon-nm-applet.desktop
Source4:        polkit-cinnamon-authentication-agent-1.desktop

Patch0:         background.patch
Patch1:         autostart.patch
Patch2:         replace_gksu.patch
Patch3:         cinnamon-settings-apps.patch
Patch4:         keyboard_applet.patch
Patch5:         input_keybindings.patch
Patch6:         bluetooth.patch
Patch7:         restore_panel_bounce.patch

%global clutter_version 1.12.2
%global cjs_version 1.9.1
%global cinnamon_desktop_version 2.0.2
%global gobject_introspection_version 1.34.2
%global muffin_version 2.0.4
%global json_glib_version 0.13.2

BuildRequires:  pkgconfig(clutter-1.0) >= %{clutter_version}
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(cjs-1.0) >= %{cjs_version}
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(libgnome-menu-3.0)
BuildRequires:  pkgconfig(cinnamon-desktop) >= %{cinnamon_desktop_version}
BuildRequires:  gobject-introspection >= %{gobject_introspection_version}
BuildRequires:  pkgconfig(json-glib-1.0) >= %{json_glib_version}
BuildRequires:  pkgconfig(upower-glib)
BuildRequires:  pkgconfig(libnm-glib)
BuildRequires:  pkgconfig(polkit-agent-1)
BuildRequires:  pkgconfig(gudev-1.0)
# for screencast recorder functionality
BuildRequires:  pkgconfig(gstreamer-0.10)
BuildRequires:  intltool
BuildRequires:  pkgconfig(libcanberra)
BuildRequires:  pkgconfig(libcroco-0.6)
BuildRequires:  pkgconfig(gnome-keyring-1)
BuildRequires:  pkgconfig(libsoup-2.4)
# used in unused BigThemeImage
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libmuffin) >= %{muffin_version}
BuildRequires:  pkgconfig(libpulse)
%ifnarch s390 s390x
BuildRequires:  pkgconfig(gnome-bluetooth-1.0) >= 2.91
BuildRequires:  gnome-bluetooth >= 2.91
%endif
# Bootstrap requirements
BuildRequires:  pkgconfig(gtk-doc) 
BuildRequires:  gnome-common
# mediia keys
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(colord)
%ifnarch s390 s390x %{?rhel:ppc ppc64}
BuildRequires:  pkgconfig(libwacom)
BuildRequires:  pkgconfig(xorg-wacom)
%endif
BuildRequires:  pkgconfig(xtst)

Requires:       gnome-menus%{?_isa} >= 3.0.0-2
# wrapper script uses to restart old GNOME session if run --replace
# from the command line
Requires:       gobject-introspection%{?_isa} >= %{gobject_introspection_version}
# needed for loading SVG's via gdk-pixbuf
Requires:       librsvg2%{?_isa}
# needed as it is now split from Clutter
Requires:       json-glib%{?_isa} >= %{json_glib_version}
Requires:       upower%{?_isa}
Requires:       polkit%{?_isa} >= 0.100
# needed for session files
Requires:       cinnamon-session
# needed for schemas
Requires:       at-spi2-atk%{?_isa}
# needed for on-screen keyboard
Requires:       caribou%{?_isa}
# needed for the user menu
Requires:       accountsservice-libs
Requires:       muffin%{?_isa} >= %{muffin_version}
# needed for settings
Requires:       pygobject2
Requires:       dbus-python
Requires:       python-lxml
Requires:       gnome-python2-gconf
Requires:       python-pillow
Requires:       PyPAM
%ifarch x86_64 i686
Requires:       python-pexpect
%endif
Requires:       opencv-python
Requires:       cinnamon-control-center
Requires:       cinnamon-translations
# RequiredComponents in the session files
Requires:       nemo
Requires:       cinnamon-screensaver

# metacity is needed for fallback
Requires:       metacity
Requires:       tint2

# needed for theme overrides
Requires:       zukitwo-gtk2-theme
Requires:       zukitwo-gtk3-theme
Requires:       zukitwo-metacity-theme

# re-add bluetooth support for F19
%if 0%{?fedora} < 20
Requires:       blueman
%endif

Provides:       desktop-notification-daemon
Obsoletes:      cinnamon-2d
Obsoletes:      cinnamon-settings
Obsoletes:      cinnamon-menu-editor
Obsoletes:      cinnamon <= 1.8.0-1

# wallpapoz breaks cinnamon background
# https://bugzilla.redhat.com/show_bug.cgi?id=1029554
Conflicts:      wallpapoz

%description
Cinnamon is a Linux desktop which provides advanced
 innovative features and a traditional user experience.

The desktop layout is similar to Gnome 2. 
The underlying technology is forked from Gnome Shell.
The emphasis is put on making users feel at home and providing
 them with an easy to use and comfortable desktop experience.

%prep
%setup -q -n Cinnamon-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%if 0%{?fedora} < 20
%patch6 -p1
%endif
%patch7 -p1
NOCONFIGURE=1 ./autogen.sh

%build
%configure \
 --disable-static \
 --disable-rpath \
 --disable-schemas-compile \
 --enable-introspection=yes \
 --enable-compile-warnings=no

make %{?_smp_mflags} V=1

%install
%{make_install} INSTALL='install -p'

# Remove .la file
rm -rf $RPM_BUILD_ROOT/%{_libdir}/cinnamon/libcinnamon.la

install -D -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/glib-2.0/schemas/cinnamon-fedora.gschema.override

# install custom nm-applet desktop file
install -D -p -m 0644 %{SOURCE3} $RPM_BUILD_ROOT/%{_datadir}/applications/

# install polkik autostart desktop file
install -D -p -m 0644 %{SOURCE4} $RPM_BUILD_ROOT/%{_datadir}/applications/

desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/cinnamon.desktop
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/cinnamon2d.desktop
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/cinnamon-add-panel-launcher.desktop
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/cinnamon-settings-users.desktop
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/cinnamon-menu-editor.desktop
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/cinnamon-nm-applet.desktop
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/polkit-cinnamon-authentication-agent-1.desktop

desktop-file-install                                 \
 --add-category="Utility"                            \
 --remove-category="DesktopSettings"                 \
 --remove-key="Encoding"                             \
 --add-only-show-in="GNOME"                          \
 --delete-original                                   \
 --dir=$RPM_BUILD_ROOT/%{_datadir}/applications      \
 $RPM_BUILD_ROOT/%{_datadir}/applications/cinnamon-settings.desktop

# fix hard coded path
%ifarch x86_64
sed -i -e 's@/usr/lib/cinnamon-control-center@/usr/lib64/cinnamon-control-center@g' \
$RPM_BUILD_ROOT/%{_prefix}/lib/cinnamon-settings/bin/capi.py
%endif

# create directory for lang files
install -m 0755 -d $RPM_BUILD_ROOT/%{_datadir}/cinnamon/locale/

# install policy file
install -m 0755 -d $RPM_BUILD_ROOT/%{_datadir}/polkit-1/actions/
install -D -p -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/polkit-1/actions/


%postun
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files
%doc COPYING README NEWS AUTHORS
%{_bindir}/*
%{_sysconfdir}/xdg/menus/*
%{_datadir}/applications/*
%{_datadir}/dbus-1/services/org.Cinnamon.HotplugSniffer.service
%{_datadir}/desktop-directories/*
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/cinnamon-session/sessions/*
%{_datadir}/polkit-1/actions/org.cinnamon.settings-users.policy
%{_datadir}/xsessions/*
%{_datadir}/cinnamon/
%{_libdir}/cinnamon/
%{_libexecdir}/cinnamon/
#No choice but to do this. Filing a bug with upstream on this.
%{_prefix}/lib/cinnamon*/
%{_mandir}/man1/*

%changelog
* Sun Nov 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.13-3
- patch to restore panel icon bounce

* Sun Nov 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.13-2
- set default theme to zukitwo

* Sun Nov 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.13-1
- update to 2.0.13
- tweak gschema override again

* Thu Nov 14 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.12-2
- add conflicts wallpapoz (bz 1029554)

* Mon Nov 11 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.12-1
- update to 2.0.12
- tweak gschema override again

* Sun Nov 10 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.11-1
- update to 2.0.11
- remove upstream patch
- tweak gschema override

* Tue Nov 05 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.10-2
- add patch to draw desktop background immediately

* Sun Nov 03 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.10-1
-  update to 2.0.10

* Fri Nov 01 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.8-1
- update to 2.0.8
- add autostart file for polkit

* Wed Oct 30 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.7-1
- update to 2.0.7

* Fri Oct 25 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.6-1
- update to 2.0.6

* Thu Oct 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.5-1
- update to 2.0.5

* Fri Oct 18 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.3-1
- update to 2.0.3

* Thu Oct 17 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.2-3
- add custom nm-applet file as the stock one is set to NotShowIn Gnome

* Thu Oct 10 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.2-2
- add policy file for "users and groups" setting
- add nm-applet to required components
- add upstream commits

* Wed Oct 09 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.2-1
- update to 2.0.2
- drop upstream patch

* Mon Oct 07 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.2-4
- revert ST changes

* Mon Oct 07 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.2-3
- patch with upstream commits for
- lightdm and a
- ST crash on user switching

* Tue Oct 01 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.2-2
- set some sound defaults

* Mon Sep 30 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.2-1
- update to 1.9.2

* Tue Sep 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.2-0.27.git8a53cfb
- use the right conditional (too much beer)

* Tue Sep 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.2-0.26.git8a53cfb
- re-add bluetooth support for F19

* Tue Sep 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.2-0.25.git8a53cfb
- Remove ExcludeArch for ARM
- remove the python-pexpect requires for ARM

* Sat Sep 21 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.2-0.24.git8a53cfb
- patch to add input-source switching keybindings

* Thu Sep 19 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.2-0.23.git8a53cfb
- patch keyboard applet (also fixes input-switching)

* Wed Sep 18 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.2-0.22.git8a53cfb
- update to latest git

* Wed Sep 11 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.2-0.21.git2d1ac4d
- ExcludeArch for ARM due to missing dep (python-pexpect)

* Sun Aug 25 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.2-0.20.git2d1ac4d
- update to latest git
- Change buildrequires to cinnamon-desktop-devel

* Sat Aug 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.2-0.19.gitd4305ab
- add requires cinnamon-translations

* Fri Aug 23 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.2-0.18.gitd4305ab
- update to latest git
- adjust for new cinnamon-translations package

* Thu Aug 22 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.2-0.17.git8bdd61f
- rebuilt

* Tue Aug 20 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.2-0.16.git8bdd61f
- update to latest git
- drop upstream patches

* Sat Aug 10 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.2-0.15.git19b4b43
- redo gsettings patch

* Sat Aug 10 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.2-0.14.git19b4b43
- update to latest git
- drop upstream fixes

* Sat Aug 10 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.2-0.13.gita1dd2a1
- add patch to remove obsolete gsettings for menu and button icon till upstream fixes it

* Fri Aug 09 2013 Kalev Lember <kalevlember@gmail.com> - 1.9.2-0.12.gita1dd2a1
- Rebuilt for cogl 1.15.4 soname bump

* Mon Jul 29 2013 leigh <leigh123linux@googlemail.com> - 1.9.2-0.11.gita1dd2a1
- fix bluetooth patch again

* Mon Jul 29 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.2-0.10.gita1dd2a1
- remove some fixes and upstream patches
- redo bluetooth patch

* Sun Jul 28 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.2-0.9.git39fc3a7
- patch to use cinnamon-control-center bluetooth

* Sun Jul 28 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.2-0.8.git39fc3a7
- add virtual provides desktop-notification-daemon
- fix missing settings-users menu icon

* Sat Jul 27 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.2-0.7.git39fc3a7
- fix icon path for user and groups

* Fri Jul 26 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.2-0.6.git39fc3a7
- drop screensaver patch

* Fri Jul 26 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.2-0.5.git39fc3a7
- update to latest git
- fix panel-edit crash

* Thu Jul 25 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.2-0.4.git435e7a2
- Fix automake warnings

* Thu Jul 25 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.2-0.3.git435e7a2
- update to latest git
- fix default theme
- use fedora firewall in settings
- use beesu for user accounts instead of gksu

* Wed Jul 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.2-0.2.gitc321232
- fix control-center settings on x86_64
- drop clutter xinput patch
- add missing requirements for cinnamon-settings
- redo screensaver patch to enable/disable lock password

* Tue Jul 23 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.2-0.1.gitc321232
- rebase for cinnamon next

* Tue Jul 23 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.1-19
- fix permissions on cinnamon3d

* Mon Jul 22 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.1-18
- fix permissions on cinnamon-launcher-creator

* Tue Jul 16 2013 leigh scott <leigh123linux@googlemail.com> - 1.9.1-17
- add patch to fix cinnamon-menu-editor

* Fri Jul 12 2013 leigh scott <leigh123linux@googlemail.com> - 1.9.1-16
- remove GC from cinnamon-global.c

* Wed Jul 10 2013 leigh scott <leigh123linux@googlemail.com> - 1.9.1-15
- fix input-source-switcher autostart

* Wed Jul 10 2013 leigh scott <leigh123linux@googlemail.com> - 1.9.1-14
- fix input-source-switcher

* Fri Jun 14 2013 leigh scott <leigh123linux@googlemail.com> - 1.9.1-13
- spec file clean up

* Thu Jun 13 2013 leigh scott <leigh123linux@googlemail.com> - 1.9.1-12
- Fix automount

* Thu Jun 13 2013 Dan Horák <dan[at]danny.cz> - 1.9.1-11
- fix build on s390(x) - no wacom there

* Wed Jun 12 2013 leigh scott <leigh123linux@googlemail.com> - 1.9.1-10
- fix the screensaver tab in cinnamon-settings

* Sun Jun 09 2013 leigh scott <leigh123linux@googlemail.com> - 1.9.1-9
- add requires gnome-screensaver

* Sun Jun 09 2013 leigh scott <leigh123linux@googlemail.com> - 1.9.1-8
- Fix media keys

* Thu Jun 06 2013 leigh scott <leigh123linux@googlemail.com> - 1.9.1-7
- change how the screen lock autostarts

* Thu Jun 06 2013 leigh scott <leigh123linux@googlemail.com> - 1.9.1-6
- add requires nemo

* Thu Jun 06 2013 leigh scott <leigh123linux@googlemail.com> - 1.9.1-5
- autostart nemo differently so we dont squash nautilus

* Thu Jun 06 2013 leigh scott <leigh123linux@googlemail.com> - 1.9.1-4
- Patch so screen lock uses gnome-screensaver
- add gnome-screensaver autostart files
- add patch to remove obex file transfer

* Tue Jun 04 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.1-3
- add cinnamon-fedora.gschema.override file

* Tue Jun 04 2013 leigh scott <leigh123linux@googlemail.com> - 1.9.1-2
- patch for mozjs-17 changes

* Sat Jun 01 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.1-1
- Update to version 1.9.1

* Sat Jun 01 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.7-2
- Re-add build requires versions

* Sat Jun 01 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.7-1
- Update to version 1.8.7
- drop spice patch (now upstream)
- fix directory ownership and clenup files section

* Fri May 31 2013 leigh scott <leigh123linux@googlemail.com> - 1.8.6-2
- patch to fix spice download crash (bz 969162)

* Thu May 30 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.6-1
- Update to version 1.8.6
- patch to fix brightness applet (bz 967993)

* Wed May 22 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.5-3
- rebuild with release source and patch instead

* Wed May 22 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.5-2
- rebuild with new source

* Wed May 22 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.5-1
- Update to version 1.8.5

* Mon May 20 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.3-1
- Update to version 1.8.3
- drop telepathy and folks build requires
- Tidy up patches and drop merged patch

* Sun May 12 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.2-4
- fix missing backgrounds from cinnamon-settings

* Thu May 09 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.2-3
- fix notifications

* Thu May 09 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.2-2
- add missing requires for settings

* Wed May 08 2013 Dan Mashal <dan.mashal@fedoraproject.org> 1.8.2-1
- Initial build of 1.8.2
- Fix erroneous changelog date
- Fix gnome 3.8 compatability
- Fix RHBZ 920320 and probably some others
- Get rid of split subpackages (for sanity)

* Fri Feb 22 2013 Kalev Lember <kalevlember@gmail.com> - 1.6.7-7
- Rebuilt for cogl soname bump

* Wed Feb 20 2013 Kalev Lember <kalevlember@gmail.com> - 1.6.7-6
- Rebuilt for libgnome-desktop soname bump

* Mon Feb  4 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 1.6.7-5
- Add patch that's been accepted upstream for pillow support

* Fri Jan 25 2013 Peter Robinson <pbrobinson@fedoraproject.org> 1.6.7-4
- Rebuild for new cogl

* Thu Dec 20 2012 Kalev Lember <kalevlember@gmail.com> - 1.6.7-3
- Rebuilt for libgnome-desktop3 3.7.3 soname bump

* Wed Nov 14 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.6.7-2
- change requires on main package

* Wed Nov 14 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.6.7-1
- update to 1.6.7 release
- split menu setting, settings and 2d into sub-packages

* Wed Nov 14 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.6.6-3
- drop requires libgnomekbd (rhbz 874218)
- fix error in datetime patch
- drop requires nemo and add to comps instead (rhbz 875197)

* Tue Nov 13 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.6.6-2
- add keyboard applet patch

* Sun Nov 11 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.6.6-1
- update to 1.6.6 release

* Wed Nov 07 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.6.4-2
- add requires gnome-panel (rhbz 872694)
- add requires libgnomekbd (rhbz 874218)

* Wed Oct 31 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.6.4-1
- update to 1.6.4 release
- change the default apps and panel launchers

* Sat Oct 20 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.6.3-1
- update to 1.6.3 release
- add license for cinnamon-menu-editor
- remove -OO from cinnamon-menu-editor script
- drop upstream patch

* Sat Oct 13 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.6.1-3
- autostart for gnome-screensaver so lock works
- mozilla desktop fix

* Tue Oct 09 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.6.1-2
- fix settings applet icons
- patch font size (Bzr 864050)

* Thu Sep 27 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.6.1-1
- update to 1.6.1 release

* Wed Sep 26 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.6.0-3
- remove requires nautilus and swap it for nemo
- drop nemo patch

* Tue Sep 18 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.6.0-2
- patch bluetooth applet

* Mon Sep 17 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.6.0-1
- update to 1.6.0 release
- drop upstream patches
- add requires python-imaging, gnome-python2-gconf and python-imaging
- patch to use nautilus instead of nemo

* Thu Aug 23 2012 Dan Horák <dan[at]danny.cz> - 1.5.2-6
- fix build without BlueTooth

* Fri Aug 17 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.2-5
- rebuilt for new cogl version
- patch bluetooth applet
- use patch to fix windows quick list applet
- patch for new cogl api

* Sun Aug 12 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.2-4
- Fix directory ownership

* Sun Jul 29 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.2-3
- Add requires nautilus for settings
- Remove fedora logo from package to enable generic spins

* Fri Jul 27 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.2-2
- patch systray applet

* Thu Jul 26 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.2-1
- update to 1.5.2 release

* Tue Jul 24 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.0-0.1.git49593cb
- Update to the latest snapshot
- Remove buildrequires telepathy-glib-devel, telepathy-logger-devel and folks-devel
- Drop obsolete patches
- Add buildrequires libsoup-devel libgnome-keyring-devel

* Sat Jul 21 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.1-0.10.git7959517
- Add requires accountsservice-libs

* Sat Jul 21 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.1-0.9.git7959517
- Add patch to port window settings to gsettings

* Fri Jul 20 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.1-0.8.git7959517
- filter provides and requires
- Remove requires dbus-x11
- Add -p to install

* Fri Jul 20 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.1-0.7.git7959517
- Remove %%define and rebase settings patch
- Hardcode version for patches
- Rearrange patches
- Use install rather than cp
- Fix scriptlets
- Remove hardcoded file name from %%prep
- Preserve timestamps in %%install
- Remove extension from manpage in %%files
- Add requires dbus-x11

* Fri Jul 20 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.1-0.6.git7959517
- Fix macro in comment rpmlint error

* Thu Jul 19 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.1-0.5.git7959517
- Correct spelling mistake
- Add descriptions for patches 

* Wed Jul 18 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.1-0.4.git7959517
- bump spec version to fix repo issue

* Wed Jul 18 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.1-0.3.git7959517
- bump spec version to fix repo issue

* Wed Jul 18 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.1-0.2.git7959517
- bump spec version to fix repo issue

* Wed Jul 18 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.1-0.1.git7959517
- Update to the latest snapshot

* Mon May 28 2012 Leigh Scott <leigh123linux@fedoraproject.org> - 1.4.0-5.UP1
- Silence glib-compile-schemas scriplets
- fix firefox patch for f17
- fix power applet for f16

* Mon May 28 2012 Leigh Scott <leigh123linux@fedoraproject.org> - 1.4.0-4.UP1
- add notification patch

* Mon May 28 2012 Leigh Scott <leigh123linux@fedoraproject.org> - 1.4.0-3.UP1
- change %%define to %%global
- fix files listed twice in %%files section
- version patches
- remove %%config from files (gnome-shell and gnome-menus doesn't use them
  for the equivalent files)
- drop login theme patch

* Sun May 27 2012 Leigh Scott <leigh123linux@fedoraproject.org> - 1.4.0-2.UP1
- add configure option so it compiles on F17
- fix release tag

* Sun May 27 2012 Leigh Scott <leigh123linux@fedoraproject.org> - 1.4.0-1.UP1
- update to 1.4.0.UP1-1

* Wed Mar 14 2012 Leigh Scott <leigh123linux@fedoraproject.org> - 1.4.0-2
- fix un-themed shutdown

* Tue Mar 13 2012 Leigh Scott <leigh123linux@fedoraproject.org> - 1.4.0-1
- update to 1.4.0

* Mon Feb 20 2012 Leigh Scott <leigh123linux@fedoraproject.org> - 1.3.1-1
- update to 1.3.1
- remove static lib
- remove mozilla plugin

* Fri Feb 17 2012 Leigh Scott <leigh123linux@fedoraproject.org> - 1.3.0-1
- update to 1.3.0 release

* Sun Jan 22 2012 Leigh Scott <leigh123linux@fedoraproject.org> - 1.2.0-1
- update to 1.2.0 release
- add build requires muffin-devel
- add Br libgudev1-devel
- add only-show-in=GNOME to settings desktop file
- make changes for source changes, applets, settings and session added
- delete session files and use my own
- move settings from lib to usr (it had no libs)
- replace menu icon
- change description

* Wed Jan 04 2012 Leigh Scott <leigh123linux@fedoraproject.org> - 1.1.3-2
- add requires gnome-session
- clean up spec file ready for review

* Mon Jan 02 2012 Leigh Scott <leigh123linux@fedoraproject.org> - 1.1.3-1
- update to version 1.1.3

* Sun Jan 01 2012 Leigh Scott <leigh123linux@fedoraproject.org> - 1.1.2-2
- fix firefox launchers

* Fri Dec 30 2011 Leigh Scott <leigh123linux@fedoraproject.org> - 1.1.2-1
- first build based on gnome-shell srpm
- add session files

